<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>lib package &mdash; RDstar_light  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="lib.fit package" href="lib.fit.html" />
    <link rel="prev" title="Welcome to \(R\left(D^{\star}\right)_{\text{light}}\)’s documentation!" href="index.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> RDstar_light
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">lib package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="lib.fit.html">lib.fit package</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.handle.html">lib.handle package</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.inout.html">lib.inout package</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.plot.html">lib.plot package</a></li>
<li class="toctree-l2"><a class="reference internal" href="#module-lib.assertion">lib.assertion module</a></li>
<li class="toctree-l2"><a class="reference internal" href="#module-lib.config">lib.config module</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="scripts.html">scripts.multiple_candidates package</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">RDstar_light</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
      <li>lib package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/lib.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <div class="section" id="module-lib">
<span id="lib-package"></span><h1>lib package<a class="headerlink" href="#module-lib" title="Permalink to this heading"></a></h1>
<p>Package for plotting, dealing with histograms, samples, and more.</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="lib.fit.html">lib.fit package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="lib.fit.html#module-lib.fit.params">lib.fit.params module</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="lib.handle.html">lib.handle package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="lib.handle.html#module-lib.handle.handle_array">lib.handle.handle_array module</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.handle.html#module-lib.handle.handle_dict">lib.handle.handle_dict module</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.handle.html#module-lib.handle.handle_hist">lib.handle.handle_hist module</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.handle.html#module-lib.handle.handle_list">lib.handle.handle_list module</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.handle.html#module-lib.handle.handle_sample">lib.handle.handle_sample module</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.handle.html#module-lib.handle.handle_str">lib.handle.handle_str module</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="lib.inout.html">lib.inout package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="lib.inout.html#module-lib.inout.parser">lib.inout.parser module</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.inout.html#module-lib.inout.proot">lib.inout.proot module</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.inout.html#module-lib.inout.serial">lib.inout.serial module</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.inout.html#module-lib.inout.table">lib.inout.table module</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="lib.plot.html">lib.plot package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="lib.plot.html#module-lib.plot.annotate">lib.plot.annotate module</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.plot.html#module-lib.plot.label">lib.plot.label module</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.plot.html#module-lib.plot.params">lib.plot.params module</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.plot.html#module-lib.plot.plot_hist">lib.plot.plot_hist module</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.plot.html#module-lib.plot.plot_line">lib.plot.plot_line module</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.plot.html#module-lib.plot.plotter">lib.plot.plotter module</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.plot.html#module-lib.plot.tools">lib.plot.tools module</a></li>
</ul>
</li>
</ul>
</div>
<div class="section" id="module-lib.assertion">
<span id="lib-assertion-module"></span><h2>lib.assertion module<a class="headerlink" href="#module-lib.assertion" title="Permalink to this heading"></a></h2>
<p>Module that contains functions to check/assert</p>
<dl class="py function">
<dt class="sig sig-object py" id="lib.assertion.assert_type">
<span class="sig-prename descclassname"><span class="pre">lib.assertion.</span></span><span class="sig-name descname"><span class="pre">assert_type</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">var</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">target_type</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/lib/assertion.html#assert_type"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#lib.assertion.assert_type" title="Permalink to this definition"></a></dt>
<dd><p>Assert that the type of a variable <code class="docutils literal notranslate"><span class="pre">var</span></code> is <code class="docutils literal notranslate"><span class="pre">target_type</span></code></p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>var</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code>) – the variable</p></li>
<li><p><strong>target_type</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code>) – a type</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="lib.assertion.assert_var_in_list">
<span class="sig-prename descclassname"><span class="pre">lib.assertion.</span></span><span class="sig-name descname"><span class="pre">assert_var_in_list</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">var</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">list_vars</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/lib/assertion.html#assert_var_in_list"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#lib.assertion.assert_var_in_list" title="Permalink to this definition"></a></dt>
<dd><p>Assert that a variable <code class="docutils literal notranslate"><span class="pre">var</span></code> is in a list <code class="docutils literal notranslate"><span class="pre">list_vars</span></code>.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>var</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code>) – the variable</p></li>
<li><p><strong>list_vars</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">list</span></code>) – list of variables</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="lib.assertion.gen_assert">
<span class="sig-prename descclassname"><span class="pre">lib.assertion.</span></span><span class="sig-name descname"><span class="pre">gen_assert</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">var</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">obj</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/lib/assertion.html#gen_assert"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#lib.assertion.gen_assert" title="Permalink to this definition"></a></dt>
<dd><p>If <code class="docutils literal notranslate"><span class="pre">obj</span></code> is a list, assert that <code class="docutils literal notranslate"><span class="pre">var</span></code> is in <code class="docutils literal notranslate"><span class="pre">obj</span></code>. Else,
assert that the type of <code class="docutils literal notranslate"><span class="pre">var</span></code> is <code class="docutils literal notranslate"><span class="pre">obj</span></code>.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>var</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code>) – the variable</p></li>
<li><p><strong>obj</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code>) – a list or a type</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</div>
<div class="section" id="module-lib.config">
<span id="lib-config-module"></span><h2>lib.config module<a class="headerlink" href="#module-lib.config" title="Permalink to this heading"></a></h2>
<p>Module that contains user-defined python variables.</p>
<dl class="py data">
<dt class="sig sig-object py" id="lib.config.DICT_FCTS">
<span class="sig-prename descclassname"><span class="pre">lib.config.</span></span><span class="sig-name descname"><span class="pre">DICT_FCTS</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">{'abs':</span> <span class="pre">&lt;ufunc</span> <span class="pre">'absolute'&gt;,</span> <span class="pre">'log':</span> <span class="pre">&lt;ufunc</span> <span class="pre">'log'&gt;}</span></em><a class="headerlink" href="#lib.config.DICT_FCTS" title="Permalink to this definition"></a></dt>
<dd><p>Associates a function name with a function</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="lib.config.DICT_FCT_LABELS">
<span class="sig-prename descclassname"><span class="pre">lib.config.</span></span><span class="sig-name descname"><span class="pre">DICT_FCT_LABELS</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">{'abs':</span> <span class="pre">&lt;function</span> <span class="pre">&lt;lambda&gt;&gt;,</span> <span class="pre">'log':</span> <span class="pre">&lt;function</span> <span class="pre">&lt;lambda&gt;&gt;}</span></em><a class="headerlink" href="#lib.config.DICT_FCT_LABELS" title="Permalink to this definition"></a></dt>
<dd><p>Associates a function name with a label</p>
</dd></dl>

</div>
</div>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="index.html" class="btn btn-neutral float-left" title="Welcome to \(R\left(D^{\star}\right)_{\text{light}}\)’s documentation!" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="lib.fit.html" class="btn btn-neutral float-right" title="lib.fit package" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright .</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>